org.mariadb.jdbc.internal.com.read.resultset

## Class UpdatableColumnDefinition

- java.lang.Object
- - org.mariadb.jdbc.internal.com.read.resultset.ColumnDefinition
  - - org.mariadb.jdbc.internal.com.read.resultset.UpdatableColumnDefinition

    public class UpdatableColumnDefinition
    extends ColumnDefinition

### Constructor Summary

Constructors
Constructor and Description
`UpdatableColumnDefinition(ColumnDefinition columnDefinition, boolean canBeNull, boolean hasDefault, boolean generated, boolean primary, boolean autoIncrement)` Constructor of Column metadata.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canBeNull()`
`boolean` `hasDefault()`
`boolean` `isAutoIncrement()`
`boolean` `isGenerated()`
`boolean` `isPrimary()`

### Methods inherited from class org.mariadb.jdbc.internal.com.read.resultset.ColumnDefinition

`create, getCharsetNumber, getColumnType, getDatabase, getDecimals, getDisplaySize, getFlags, getLength, getName, getOriginalName, getOriginalTable, getPrecision, getTable, isBinary, isBlob, isMultipleKey, isNotNull, isPrimaryKey, isSigned, isUniqueKey, isZeroFill`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdatableColumnDefinition

    public UpdatableColumnDefinition(ColumnDefinition columnDefinition,
                                     boolean canBeNull,
                                     boolean hasDefault,
                                     boolean generated,
                                     boolean primary,
                                     boolean autoIncrement)

Constructor of Column metadata.

Parameters:
  `columnDefinition` - column meta information
  `canBeNull` - can column be null
  `hasDefault` - has default
  `generated` - is automatically generated
  `primary` - is column part of primary key
  `autoIncrement` - column has AUTO_INCREMENT attribute

### Method Detail

#### canBeNull

    public boolean canBeNull()

#### hasDefault

    public boolean hasDefault()

#### isGenerated

    public boolean isGenerated()

#### isPrimary

    public boolean isPrimary()

#### isAutoIncrement

    public boolean isAutoIncrement()